-- Note: This must be valid Lua file.

-- Address of the MQTT server.
mqtt_host = 'msg.alpinelinux.org'

-- Port of the MQTT server.
mqtt_port = 8883

-- Connect to the MQTT server using SSL/TLS?
mqtt_tls = true

-- A list of MQTT topics to listen on.
mqtt_topics = {
  'git/aports/+',
}

-- Template of an origin URI.
-- Placeholder will be replaced by the repo name from MQTT message.
origin_url = 'git://git.alpinelinux.org/%s'

-- Template of a mirror URI.
-- Placeholder will be replaced by the repo name from MQTT message.
mirror_url = 'git@github.com:example/%s.git'

-- SSH command (incl. arguments) to use for clonning/pushing to remote.
ssh_command = 'ssh -q -i /etc/git-mirror-syncd/id_rsa -o StrictHostKeyChecking=no'

-- Path of directory where to clone repositories.
cache_dir = os.getenv('CACHE_DIR') or './tmp'

-- Path of file or directory containing the PEM encoded trusted CA
-- certificate files.
tls_ca_path = '/etc/ssl/certs'
